
// ここのスクリプトを改造して使用
// http://www.interq.or.jp/japan/satoshi0/sample/

var flashVersion = false;
var nn = (navigator.appName.charAt(0) == "N" && navigator.userAgent.indexOf("Safari") == -1) || false;
var n6 = (document.getElementById && nn) || false;
var ie = (document.all && !nn) || false;
var safari = (navigator.userAgent.indexOf("Safari") != -1) || false;
var mac = (navigator.userAgent.indexOf("Mac") != -1) || false;
var ver = ""+navigator.appVersion;
var fno = ver.indexOf(" ");
var macChecked = 0;
var macIE5 = (mac && navigator.userAgent.indexOf("MSIE 5") != -1) || false;

ver = eval(ver.substring(0, fno));

if (ie && !mac)
{
	var flashVersion = false;
	
	if(window.ActiveXObject)
	{
		flashVersion = new ActiveXObject("ShockwaveFlash.ShockwaveFlash").FlashVersion();
		flashVersion = Math.floor(flashVersion / 0x10000);
	}
}

if (!flashVersion)
{
	if (nn && !document.plugins &&!safari) {
		flashVersion = false;
	}
	else if ((nn || n6 || safari || macIE5) && navigator.plugins) {
		flashVersion = navigator.plugins["Shockwave Flash"].description.charAt(16);
	}
	else {
		flashVersion = false;
	}
}

if (ie && mac && !macIE5) {
	window.onload = chkMac;
}

function chkMac()
{
	if (window["sample"]) {
		flashVersion = ((window["sample"].FlashVersion() & 0xffff0000) >> 16);
	}
	macChecked = 1;
	(window["sample"]);
	
	result();
	return;
}

// --------------------------------//
// タグ書き込み
// --------------------------------//
function result()
{
	if (mac && ie && !macIE5 && macChecked == 0) return;
	
	if ((!flashVersion)||(flashVersion <= 6))
	{
		var html = "\n";
		html += '    <p>'+"\n";
		html += '    Flashコンテンツの表示に失敗しました。<br />'+"\n";
		html += '    お使いのブラウザに最新の<a href="http://www.adobe.com/go/getflash/">Flash Player</a>がインストールされていないか、<br />'+"\n";
		html += '    セキュリティ保護により表示が制限された可能性があります。<br />'+"\n";
		html += '    </p>'+"\n";
		
		document.write(html);
		return;
	}
	else if (flashVersion < swfinfo.version) {
		addExpressInstallTag();
	}
	else {
		addSwfTag();
	}
	
	return;
}

function addSwfTag()
{
	var html = "\n";
	
	html += '    <p>'+"\n";
	html += '      <object name="swf" data="'+swfinfo.filename+'" type="application/x-shockwave-flash" width="'+swfinfo.width+'" height="'+swfinfo.height+'">'+"\n";
	html += '        <param name="movie" value="'+swfinfo.filename+'" />'+"\n";
	html += '        Flashコンテンツの表示に失敗しました。<br />'+"\n";
	html += '        お使いのブラウザに最新の<a href="http://www.adobe.com/go/getflash/">Flash Player</a>がインストールされていないか、<br />'+"\n";
	html += '        セキュリティ保護により表示が制限された可能性があります。<br />'+"\n";
	html += '      </object>'+"\n";
	html += '    </p>'+"\n";
	
	document.write(html);
	addScalingButton(3);
	return;
}

function addExpressInstallTag()
{
	swfinfo.filename = "../common/playerProductInstall.swf";
	
    var MMPlayerType = (ie == true) ? "ActiveX" : "PlugIn";
    var MMredirectURL = window.location;
    var MMdoctitle = document.title;

	var html = "\n";
	
	html += '    <p>'+"\n";
	html += '      <object name="swf" data="'+swfinfo.filename+'" type="application/x-shockwave-flash" width="'+swfinfo.width+'" height="'+swfinfo.height+'">'+"\n";
	html += '        <param name="movie" value="'+swfinfo.filename+'" />'+"\n";
	html += '        <param name="FlashVars" value=MMredirectURL='+MMredirectURL+'&MMplayerType='+MMPlayerType+'&MMdoctitle='+MMdoctitle+' />'+"\n";
	html += '        Flashコンテンツの表示に失敗しました。<br />'+"\n";
	html += '        お使いのブラウザに最新の<a href="http://www.adobe.com/go/getflash/">Flash Player</a>がインストールされていないか、<br />'+"\n";
	html += '        セキュリティ保護により表示が制限された可能性があります。<br />'+"\n";
	html += '      </object>'+"\n";
	html += '    </p>'+"\n";
	
	document.write(html);
	return;
}

// --------------------------------//
// 画面サイズ変更ボタン
// --------------------------------//
function changeScale(scale)
{
    document.swf.width = swfinfo.width*scale;
    document.swf.height = swfinfo.height*scale;
}

function addScalingButton(num)
{
    var html = "\n";
    html += '    <div class="scalingbutton">'+"\n";
    html += '      画面サイズ変更：'+"\n";
    for(var i = 1; i <= num; i++)
    {
        html += '      <input type="button" tabindex="'+i+'" value="x'+i+'" onClick="changeScale('+i+')" />'+"\n";
    }
    html += '    </div>'+"\n";
    
    document.write(html);
    return;
}
